package com.mortals.xhx.module.app.model;

import com.mortals.xhx.module.app.model.vo.AppPublishVo;
/**
* 应用发布部署实体对象
*
* @author zxfei
* @date 2023-02-01
*/

public class AppPublishEntity extends AppPublishVo {
    private static final long serialVersionUID = 1L;

    /**
    * 应用编码
    */
    private String appCode;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 文件路径地址
    */
    private String filePath;
    /**
    * 文件部署路径地址
    */
    private String distributeFilePath;
    /**
    * 应用类型(0.前端，1.后端)
    */
    private Integer appType;
    /**
    * 是否部署(0.否，1.是)
    */
    private Integer distribute;
    /**
    * 版本
    */
    private String version;



    public AppPublishEntity(){}
    /**
    * 获取 应用编码
    * @return String
    */
    public String getAppCode(){
        return appCode;
    }
    /**
    * 设置 应用编码
    * @param appCode
    */
    public void setAppCode(String appCode){
        this.appCode = appCode;
    }
    /**
    * 获取 应用名称
    * @return String
    */
    public String getAppName(){
        return appName;
    }
    /**
    * 设置 应用名称
    * @param appName
    */
    public void setAppName(String appName){
        this.appName = appName;
    }
    /**
    * 获取 文件路径地址
    * @return String
    */
    public String getFilePath(){
        return filePath;
    }
    /**
    * 设置 文件路径地址
    * @param filePath
    */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
    * 获取 文件部署路径地址
    * @return String
    */
    public String getDistributeFilePath(){
        return distributeFilePath;
    }
    /**
    * 设置 文件部署路径地址
    * @param distributeFilePath
    */
    public void setDistributeFilePath(String distributeFilePath){
        this.distributeFilePath = distributeFilePath;
    }
    /**
    * 获取 应用类型(0.前端，1.后端)
    * @return Integer
    */
    public Integer getAppType(){
        return appType;
    }
    /**
    * 设置 应用类型(0.前端，1.后端)
    * @param appType
    */
    public void setAppType(Integer appType){
        this.appType = appType;
    }
    /**
    * 获取 是否部署(0.否，1.是)
    * @return Integer
    */
    public Integer getDistribute(){
        return distribute;
    }
    /**
    * 设置 是否部署(0.否，1.是)
    * @param distribute
    */
    public void setDistribute(Integer distribute){
        this.distribute = distribute;
    }
    /**
    * 获取 版本
    * @return String
    */
    public String getVersion(){
        return version;
    }
    /**
    * 设置 版本
    * @param version
    */
    public void setVersion(String version){
        this.version = version;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppPublishEntity) {
            AppPublishEntity tmp = (AppPublishEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",appCode:").append(getAppCode());
        sb.append(",appName:").append(getAppName());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",distributeFilePath:").append(getDistributeFilePath());
        sb.append(",appType:").append(getAppType());
        sb.append(",distribute:").append(getDistribute());
        sb.append(",version:").append(getVersion());
        return sb.toString();
    }

    public void initAttrValue(){

            this.appCode = "";

            this.appName = "";

            this.filePath = "";

            this.distributeFilePath = "";

            this.appType = 0;

            this.distribute = 0;

            this.version = "1";
    }
}